<?xml version="1.0" encoding="UTF-16"?>
<RemoverTool MainProductName="PaperPort All">
    <Product ProductName="PaperPort All"
             InstallPathProductRegValue="HKEY_LOCAL_MACHINE\Software\Scansoft\PaperPort\InstallPath">
        <CheckAppRunning Word="yes" Excel="yes" />
        <CloseApp WndClassName="MAXMATE$MAIN" />
        <CloseApp WndClassName="PPPAGEVW$MAIN" />
        <CloseApp WndClassName="VisioneerNTPTDClass" />
        <CloseApp WndClassName="ScanDirMainWnd" />
        <CloseApp WndClassName="PPSCHEDULER" />
        <CloseApp WndClassName="PPORTDOCDELIVERYClass" />
        <CloseApp WndClassName="PPMVMainWinClass" />
        <CloseApp WndClassName="PPDEBUG$MAIN" />
        <CloseApp WndClassName="MaxRecoverWClass" />
        <CloseApp WndTitle="ScanSoft Scanner Setup Wizard" />
        <KillApp ExeFullPath="?INSTALLPATH?DeskDelivery.exe" />
        <KillApp ExeFullPath="?INSTALLPATH?maxfix.exe" />
        <KillApp ExeFullPath="?INSTALLPATH?MaxView.exe" />
        <KillApp ExeFullPath="?INSTALLPATH?PaprPort.exe" />
        <KillApp ExeFullPath="?INSTALLPATH?ppdebug.exe" />
        <KillApp ExeFullPath="?INSTALLPATH?PPLinkCfg.exe" />
        <KillApp ExeFullPath="?INSTALLPATH?pplinks.exe" />
        <KillApp ExeFullPath="?INSTALLPATH?ppocrmg.exe" />
        <KillApp ExeFullPath="?INSTALLPATH?pppagevw.exe" />
        <KillApp ExeFullPath="?INSTALLPATH?ppscandr.exe" />
        <KillApp ExeFullPath="?INSTALLPATH?ppscanmg.exe" />
        <KillApp ExeFullPath="?INSTALLPATH?PPScheduler.exe" />
        <KillApp ExeFullPath="?INSTALLPATH?pptd40nt.exe" />
        <KillApp ExeFullPath="?INSTALLPATH?ppwebcap.exe" />
        <KillApp ExeFullPath="?INSTALLPATH?ScannerWizard.exe" />
        <KillApp ExeFullPath="?INSTALLPATH?ssindexr.exe" />
        <KillApp ExeFullPath="?INSTALLPATH?vtpwra.exe" />
        <KillApp ExeFullPath="?INSTALLPATH?PopUp\SmartUI.exe" />
        <KillApp ExeFullPath="?INSTALLPATH?SmartUI\SmartUI.exe" />
        <KillApp ExeFullPath="?INSTALLPATH?Register.exe" />
        <KillApp ExeFullPath="?INSTALLPATH?Config\Ereg\REMIND32.EXE" />
        <UnregisterDefaultProgram Extension=".max" DocumentName="Paper.Document" />
        <UninstallOfficeAddin AppName="Word" ProgID="PaperPort.PDFAddin" ToolbarName="Standard" ToolButtonCaption="Print to PaperPort (PDF)" DeleteToolbar="no"
                              MenubarName="File" MenuButtonCaption="Print to PaperPort (PDF)" DeleteMenubar="no" />
        <UninstallOfficeAddin AppName="Excel" ProgID="PaperPort.PDFAddin" />

        <UnregisterDll DllPath="?INSTALLPATH?DCTool.ocx" />
        <UnregisterDll DllPath="?INSTALLPATH?dtengine.dll" />
        <UnregisterDll DllPath="?INSTALLPATH?EditStorage.dll" />
        <UnregisterDll DllPath="?INSTALLPATH?ImgRW.dll" />
        <UnregisterDll DllPath="?INSTALLPATH?MaxRW.dll" />
        <UnregisterDll DllPath="?INSTALLPATH?MaxX.dll" />
        <UnregisterDll DllPath="?INSTALLPATH?PDFImgRW.dll" />
        <UnregisterDll DllPath="?INSTALLPATH?PDFRW.dll" />
        <UnregisterDll DllPath="?INSTALLPATH?PPDeskVw.ocx" />
        <UnregisterDll DllPath="?INSTALLPATH?PPDlgMgr.dll" />
        <UnregisterDll DllPath="?INSTALLPATH?PPExpImp.dll" />
        <UnregisterDll DllPath="?INSTALLPATH?ppfldrvw.ocx" />
        <UnregisterDll DllPath="?INSTALLPATH?PPFolder.dll" />
        <UnregisterDll DllPath="?INSTALLPATH?PPITEMPROPPANE.ocx" />
        <UnregisterDll DllPath="?INSTALLPATH?PPLinkBr.ocx" />
        <UnregisterDll DllPath="?INSTALLPATH?PPMetaDataServer.dll" />
        <UnregisterDll DllPath="?INSTALLPATH?PPPgCtl.ocx" />
        <UnregisterDll DllPath="?INSTALLPATH?PPScanSt.dll" />
        <UnregisterDll DllPath="?INSTALLPATH?PPThumb.ocx" />
        <UnregisterDll DllPath="?INSTALLPATH?PPWebFolders.dll" />
        <UnregisterDll DllPath="?INSTALLPATH?ScanTool.ocx" />
        <UnregisterDll DllPath="?INSTALLPATH?SearchCtrl.ocx" />
        <UnregisterDll DllPath="?INSTALLPATH?SearchResults.ocx" />
        <UnregisterDll DllPath="?INSTALLPATH?SMPLSRCH.DLL" />
        <UnregisterDll DllPath="?INSTALLPATH?Ssdtsrch.dll" />
        <UnregisterDll DllPath="?INSTALLPATH?Thumb.dll" />
        <UnregisterDll DllPath="?INSTALLPATH?tvctrl.dll" />
        <UnregisterDll DllPath="?INSTALLPATH?Verity\vdk\_NTI40\bin\VeritySearch.dll" />
        <UnregisterDll DllPath="?PROGRAM_FILES_COMMON?ScanSoft Shared\PFile401.dll" />
        <UnregisterDll DllPath="?PROGRAM_FILES_COMMON?ScanSoft Shared\ppctl401.ocx" />
        <UnregisterDll DllPath="?PROGRAM_FILES_COMMON?ScanSoft Shared\PView401.dll" />
        <UnregisterDll DllPath="?PROGRAM_FILES_COMMON?ScanSoft Shared\LiveUpdate.dll" />
        <DeletePrinterDriver PrinterDriverName="PaperPort Printer Driver" />
        <DeletePrinterDriver PrinterDriverName="PaperPort Color Printer Driver" />
        <DeletePrinterDriver PrinterDriverName="PaperPort Mono Printer Driver" />
        <DeletePrinterDriver PrinterDriverName="DocuCom PDF Driver" DriverFileName="znpdfdrv.dll" OnlyIfNotInstalledDisplayName="ScanSoft PDF Professional 3.0" />
        <DeletePrinterDriver PrinterDriverName="PaperPort PDF Driver" />
        <DeletePrinterDriver PrinterDriverName="Black Ice TIFF Driver" />
        <DeletePrinterDriver PrinterDriverName="Black Ice Color Driver" />
        <DeletePrinterDriver PrinterDriverName="Nuance Image Printer Driver" />
        <DeleteFolder Path="?INSTALLPATH?" ExceptionPath="?INSTALLPATH?PDFC!" ExceptionExts=".max" />
        <DeleteFolder Path="?COMMON_PROGRAMS?PaperPort" />
        <DeleteFolder Path="?PROGRAMS?ScanSoft PaperPort 8.0" />
        <DeleteFolder Path="?COMMON_PROGRAMS?ScanSoft PaperPort 8.0" />
        <DeleteFolder Path="?APPDATA?ScanSoft\PaperPort\9" />
        <DeleteFolder Path="?COMMON_APPDATA?ScanSoft\PaperPort\9" />
        <DeleteFolder Path="?PROGRAMS?ScanSoft PaperPort 9.0" />
        <DeleteFolder Path="?COMMON_PROGRAMS?ScanSoft PaperPort 9.0" />
        <DeleteFolder Path="?APPDATA?ScanSoft\PaperPort\10" />
        <DeleteFolder Path="?COMMON_APPDATA?ScanSoft\PaperPort\10" />
        <DeleteFolder Path="?COMMON_PROGRAMS?ScanSoft PaperPort 10.0" />
        <DeleteFolder Path="?COMMON_PROGRAMS?ScanSoft PaperPort 10" />
        <DeleteFolder Path="?APPDATA?ScanSoft\PaperPort\11" />
        <DeleteFolder Path="?COMMON_APPDATA?ScanSoft\PaperPort\11" />
        <DeleteFolder Path="?COMMON_PROGRAMS?ScanSoft PaperPort 11.0" />
        <DeleteFolder Path="?COMMON_PROGRAMS?ScanSoft PaperPort 11" />
        <DeleteFile Path="?COMMON_DESKTOPDIRECTORY?PaperPort.lnk" />
        <DeleteFile Path="?COMMON_DESKTOPDIRECTORY?ScanDirect.lnk" />
        <DeleteFile Path="?COMMON_DESKTOPDIRECTORY?SmartUI.lnk" />
        <DeleteFile Path="?DESKTOPDIRECTORY?SmartUI.lnk" />
        <DeleteFile Path="?STARTUP?reminder-ScanSoft Product Registration.lnk" />
        <DeleteFile Path="?COMMON_STARTMENU?PaperPort.lnk" />
        <DeleteFile Path="?COMMON_STARTUP?Brother SmartUI PopUp.lnk" />
        <DeleteFile Path="?COMMON_STARTUP?SmartUI PopUp.lnk" />
        <DeleteRegKey KeyPath="HKEY_LOCAL_MACHINE\Software\Visioneer\Brother PopUp" />
        <DeleteRegKey KeyPath="HKEY_LOCAL_MACHINE\Software\ScanSoft\BrMFP Config" />
        <DeleteRegKey KeyPath="HKEY_LOCAL_MACHINE\Software\Visioneer\PaperPort" />
        <DeleteRegKey KeyPath="HKEY_LOCAL_MACHINE\Software\Visioneer\PaperPort SimpleSearch" />
        <DeleteRegKey KeyPath="HKEY_LOCAL_MACHINE\Software\Visioneer\PersistentData" />
        <DeleteRegKey KeyPath="HKEY_LOCAL_MACHINE\Software\Visioneer\PPWebCap" />
        <DeleteRegKey KeyPath="HKEY_LOCAL_MACHINE\Software\Visioneer\Shared" />
        <DeleteRegKey KeyPath="HKEY_LOCAL_MACHINE\Software\Visioneer, Inc.\PaperPort Printer Driver" />
        <DeleteRegKey KeyPath="HKEY_LOCAL_MACHINE\Software\ScanSoft\PaperPort" />
        <DeleteRegKey KeyPath="HKEY_LOCAL_MACHINE\Software\ScanSoft\PaperPort Desktop Group" />
        <DeleteRegKey KeyPath="HKEY_LOCAL_MACHINE\Software\ScanSoft\PaperPort SimpleSearch" />
        <DeleteRegKey KeyPath="HKEY_LOCAL_MACHINE\Software\ScanSoft\PersistentData" />
        <DeleteRegKey KeyPath="HKEY_LOCAL_MACHINE\Software\ScanSoft\PPWebCap" />
        <DeleteRegKey KeyPath="HKEY_LOCAL_MACHINE\Software\ScanSoft\Shared" />
        <DeleteRegKey KeyPath="HKEY_LOCAL_MACHINE\Software\SCC" />
        <DeleteRegKey KeyPath="HKEY_LOCAL_MACHINE\Software\Nuance\Image Printer" RegView64="yes"/>
        <DeleteRegKey KeyPath="HKEY_CURRENT_USER\Software\Visioneer\PaperPort" />
        <DeleteRegKey KeyPath="HKEY_CURRENT_USER\Software\Visioneer\PaperPort Desktop Group" />
        <DeleteRegKey KeyPath="HKEY_CURRENT_USER\Software\Visioneer\PaperPort Desktop View" />
        <DeleteRegKey KeyPath="HKEY_CURRENT_USER\Software\Visioneer\PaperPort Linkbar" />
        <DeleteRegKey KeyPath="HKEY_CURRENT_USER\Software\Visioneer\PaperPort SimpleSearch" />
        <DeleteRegKey KeyPath="HKEY_CURRENT_USER\Software\Visioneer\PPWebCap" />
        <DeleteRegKey KeyPath="HKEY_CURRENT_USER\Software\ScanSoft\PageViewer" />
        <DeleteRegKey KeyPath="HKEY_CURRENT_USER\Software\ScanSoft\PaperPort" />
        <DeleteRegKey KeyPath="HKEY_CURRENT_USER\Software\ScanSoft\PaperPort Desktop Group" />
        <DeleteRegKey KeyPath="HKEY_CURRENT_USER\Software\ScanSoft\PaperPort Desktop View" />
        <DeleteRegKey KeyPath="HKEY_CURRENT_USER\Software\ScanSoft\PaperPort Linkbar" />
        <DeleteRegKey KeyPath="HKEY_CURRENT_USER\Software\ScanSoft\PaperPort SimpleSearch" />
        <DeleteRegKey KeyPath="HKEY_CURRENT_USER\Software\ScanSoft\PersistentData" />
        <DeleteRegKey KeyPath="HKEY_CURRENT_USER\Software\ScanSoft\PLClient" />
        <DeleteRegKey KeyPath="HKEY_CURRENT_USER\Software\ScanSoft\PPWebCap" />
        <DeleteRegKey KeyPath="HKEY_CURRENT_USER\Software\SCC" />
        <DeleteRegValue ValuePath="HKEY_LOCAL_MACHINE\Software\MicroSoft\Windows\CurrentVersion\StillImage\Registered Applications\PaperPort" RegView64="yes"/>
        <DeleteRegValue ValuePath="HKEY_LOCAL_MACHINE\Software\MicroSoft\Windows\CurrentVersion\Run\IndexSearch" />
        <DeleteRegValue ValuePath="HKEY_LOCAL_MACHINE\Software\MicroSoft\Windows\CurrentVersion\Run\PaperPort PTD" />
        <DeleteRegValue ValuePath="HKEY_LOCAL_MACHINE\Software\MicroSoft\Windows\CurrentVersion\Run\PPort9reminder" />
        <DeleteRegValue ValuePath="HKEY_LOCAL_MACHINE\Software\MicroSoft\Windows\CurrentVersion\Run\PPort10reminder" />
        <DeleteRegValue ValuePath="HKEY_LOCAL_MACHINE\Software\MicroSoft\Windows\CurrentVersion\Run\PPort11reminder" />
        <DeleteRegValue ValuePath="HKEY_LOCAL_MACHINE\Software\MicroSoft\Windows\CurrentVersion\Run\PPScheduler" />
        <DeleteRegValue ValuePath="HKEY_CURRENT_USER\Software\MicroSoft\Windows\CurrentVersion\Run\PPScheduler" />
        <DeleteRegValue ValuePath="HKEY_CURRENT_USER\Software\MicroSoft\Windows\CurrentVersion\Run\PPWebCap" />
        <RemoveSharedFile Path="?PROGRAM_FILES_COMMON?ScanSoft Shared\SSBkgdUpdate\SSBkgdUpdate.exe" />
        <RemoveMsiReg ProductName="PaperPort 6.5" />
        <RemoveUninstallReg DisplayName="PaperPort 6.5" />
        <RemoveMsiReg ProductName="Brother Extensions for Paperport" />
        <RemoveUninstallReg DisplayName="Brother Extensions for Paperport" />
        <RemoveMsiReg ProductName="PaperPort 7.0" />
        <RemoveUninstallReg DisplayName="PaperPort 7.0" />
        <RemoveMsiReg ProductName="PaperPort 8.0" />
        <RemoveUninstallReg DisplayName="PaperPort 8.0" />
        <RemoveMsiReg ProductName="PaperPort 8.0 SE" />
        <RemoveUninstallReg DisplayName="PaperPort 8.0 SE" />
        <RemoveMsiReg ProductName="PaperPort 8.01 SE" />
        <RemoveUninstallReg DisplayName="PaperPort 8.01 SE" />
        <RemoveUninstallReg DisplayName=" SmartUI for Paperport" />
        <RemoveMsiReg ProductName="PaperPort" />
        <RemoveUninstallReg DisplayName="PaperPort" />
        <RemoveMsiReg ProductName="PaperPort 9.0" />
        <RemoveUninstallReg DisplayName="PaperPort 9.0" />
        <RemoveMsiReg ProductName="ScanSoft PaperPort 10.0" />
        <RemoveUninstallReg DisplayName="ScanSoft PaperPort 10.0" />
        <RemoveMsiReg ProductName="ScanSoft PaperPort 10" />
        <RemoveUninstallReg DisplayName="ScanSoft PaperPort 10" />
        <RemoveMsiReg ProductName="ScanSoft PaperPort 11" />
        <RemoveUninstallReg DisplayName="ScanSoft PaperPort 11" />
        <RemoveMsiReg ProductName="PaperPort Printer Driver" />
        <RemoveUninstallReg DisplayName="PaperPort Printer Driver" />
        <RemoveMsiReg ProductName="DocuCom PDF Core Library" />
        <RemoveMsiReg ProductName="DocuCom PDF Driver" />
    </Product>
  <Product ProductName="PaperPort Image Printer"
           InstallPathInstallerDisplayName="PaperPort Image Printer">
    <DeleteFolder Path="?INSTALLPATH?" />
    <RemoveMsiReg ProductName="PaperPort Image Printer" />
    <RemoveUninstallReg DisplayName="PaperPort Image Printer" />
  </Product>
  <Product ProductName="PaperPort Image Printer 64-bit"
           InstallPathInstallerDisplayName="PaperPort Image Printer 64-bit"
           InstallPathInstallerDisplayNameRegView64="yes">
    <DeleteFolder Path="?INSTALLPATH?" />
    <RemoveMsiReg ProductName="PaperPort Image Printer 64-bit" />
    <RemoveUninstallReg DisplayName="PaperPort Image Printer 64-bit" RegView64="yes" />
  </Product>
  <Product ProductName="Nuance Image Printer x86"
             InstallPathInstallerDisplayName="Image Printer x86">
        <DeleteFolder Path="?INSTALLPATH?" />
        <RemoveMsiReg ProductName="Image Printer x86" />
        <RemoveUninstallReg DisplayName="Image Printer x86" />
    </Product>
    <Product ProductName="Nuance Image Printer x64"
             InstallPathInstallerDisplayName="Image Printer AMD64"
             InstallPathInstallerDisplayNameRegView64="yes">
        <DeleteFolder Path="?INSTALLPATH?" />
        <RemoveMsiReg ProductName="Image Printer AMD64" />
        <RemoveUninstallReg DisplayName="Image Printer AMD64" RegView64="yes" />
    </Product>
</RemoverTool>
